#ifndef __HighComms
  #define __HighComms
  #include <stdint.h>
  #include <libopencm3/stm32/usart.h>

  void USART_Transmit(uint8_t c) ;
  void USART_printstring( char *data) ;
  void USART_printhex8(uint8_t i) ;
  void USART_printHex16(uint16_t i) ;
  void printDigit(unsigned char n) ;
  void printNumber16(unsigned int n) ;
  void printNumber8(unsigned char n) ;
  
#endif
